import torch
import torch.nn as nn
import torch.nn.functional as F

class Model(nn.Module):
    def __init__(self):
        super(Model, self).__init__()

    def forward(self, x: torch.Tensor) -> torch.Tensor:
        D = x.size(-1) // 2
        a = x[..., :D]
        b = x[..., D:]
        return torch.tanh(a) * torch.sigmoid(b)

batch_size = 16
dim_half = 16384
dim = dim_half * 2

def get_inputs():
    x = torch.randn(batch_size, dim)
    return [x]

def get_init_inputs():
    return []
